Holger's Java API

## com.antelmann.genealogy
Class GPersonRelation

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.DefaultEntryRelationship
              com.antelmann.db.DefaultSpecialRelationship<GPerson,GPerson,GPersonRelationType>
                  com.antelmann.genealogy.GPersonRelation

All Implemented Interfaces:
  DBEntry, EntryRelationship, SpecialRelationship<GPerson,GPerson,GPersonRelationType>, LifeCycleObject, Serializable

    public class GPersonRelation

extends DefaultSpecialRelationship<GPerson,GPerson,GPersonRelationType>

implements the relation between two people in regards to their literal relation

Since:
  21.05.2013, 17:01:37
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`GPersonRelation(Object id, Stub<GPerson> fromReference, Stub<GPerson> toReference, GPersonRelationType type)`

Method Summary

Methods inherited from class com.antelmann.db.DefaultSpecialRelationship
`getFromReference, getRelationType, getToReference`

Methods inherited from class com.antelmann.db.DefaultEntryRelationship
`getBeginTime, getComment, getEndTime, getFromReferenceString, getRelationOption, getReverseRelationship, getToReferenceString, isBidirectional, isBroken, sameAs, setBeginTime, setComment, setEndTime, setRelationOption, toString`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.db.EntryRelationship
`getComment, getRelationOption, isBidirectional`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Constructor Detail

### GPersonRelation

    public GPersonRelation(Object id,
                           Stub<GPerson> fromReference,
                           Stub<GPerson> toReference,
                           GPersonRelationType type)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads